apiVersion: autoscaling/v2
kind: HorizontalPodAutoscaler
metadata:
  name: cuppa-web-hpa
  namespace: cuppa
spec:
  scaleTargetRef:
    apiVersion: apps/v1
    kind: Deployment
    name: cuppa-web
  minReplicas: 3
  maxReplicas: 100
  metrics:
    - type: Resource
      resource:
        name: cpu
        target:
          type: Utilization
          averageUtilization: 65
    - type: Resource
      resource:
        name: memory
        target:
          type: Utilization
          averageUtilization: 75
